[Mediawiki-l] MediaWiki v1.5.6 install on FreeBSD 5.4-RELEASE-p2 *jail* (part 1)

Rob Church robchur at gmail.com
Sun Mar 12 14:16:25 UTC 2006


It's worth pointing out that we have nothing to do with third-party
packages for platforms (which is a damn good thing, since it seems a
lot of them are hideously misconfigured or broken, from what we've
heard in the IRC channel) and only take responsibility (and not a lot
of that ;-) for the distribution tarball on SourceForge.


Rob Church

On 12/03/06, Roger Chrisman <roger at rogerchrisman.com> wrote:
> Hi,
>
> It was a little bumpy. So I'll log what I did here. Advice always
> appreciated.
>
> My system:
> * An amd64 CPU running FreeBSD 5.4-RELEASE-p2, with 2G DDRAM.
> * Jailed -- my access to the server is limited to a Jail within the
> server; I have almost an entire server environment within my jail but
> because it is within a jail I do not have controll over the kernel and
> some other stuff which limits me in ways that it helps to be aware of.
> (For example, setting up a firewall does not work within a jail because
> a jail does not controll the network interfaces on the actual host
> server.)
> * Hosted by the California Community Colo project at the HE data center
> in Fremont, California.
>
> MediaWiki v1.5.6 install
> ----------------------------------
> 1) I updated my ports tree with:
>
>    # cvsup -g -L 2 -h cvsup11.freebsd.org \
>    /usr/share/examples/cvsup/ports-supfile
>
> 2.0) I tried to install /usr/ports/www/mediawiki with:
>    # cd /usr/ports/www/mediawiki
>    # make install && make clean
> but that failed at installing required php5-mbstring and reported
> "./configure.lineno: 6506: Syntax error"
> a bug in the compile script probably.
>
> 2.1) So I tried to install the dependency php5-mbstring with pkg_add
> instead (pkg_add installs a precompiled binary instead of trying to
> compile it on my system from source the way ports does).
>    # pkg_add -r php5-mbstring
> but that failed at installing required apache1.3.33 because I have
> apache2 already; it reported
> "pkg_add: package 'apache-1.3.33_1' conflicts with apache-2.1.4"
>
> 2.1.2) So I installed the dependency php5-mbstring with the -f (force)
> flag so that it would not balk at my apache2.
>    # pkg_add -r -f php5-mbstring
> worked
> (Alternatively I could have switched to using apache-1.3.33 which is an
> excellent choice I'm told but I chose not to do that because I have
> apache2 already running another site and didn't want to convert things)
>
> 2.2) Now, with php5-mbstring already onboard via pkg_add I succeeded
> with
>    # cd /usr/ports/www/mediawiki
>    # make install && make clean
> worked (installed MediaWiki v1.5.6). Hurray!
>
> It is in
> /usr/local/www/data-dist/mediawiki
>
> And next I will attempt
> /usr/local/www/data-dist/mediawiki/INSTALL
>
>
>
> That's enough for part 1. Part 2 will log me getting MediaWiki
> running... coming soon.
>
>
> Thanks for generous help from in the know folks.
> --
> Roger Chrisman  *  Palo Alto
> _______________________________________________
> MediaWiki-l mailing list
> MediaWiki-l at Wikimedia.org
> http://mail.wikipedia.org/mailman/listinfo/mediawiki-l
>



More information about the MediaWiki-l mailing list